package com.swago.baseswago.http;

/**
 * @date 2021/12/15 13:16
 * description:
 */
public class SwagoException extends RuntimeException {

    private int code;

    private SwagoException() {
    }

    public SwagoException(String detailMessage) {
        super(detailMessage);
    }

    public SwagoException(int code, String detailMessage) {
        super(detailMessage);
        this.code = code;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }
}